## node-proxy-agents 0~2023071921

=== debian/changelog ===
node-proxy-agents (0~2023071921-5) unstable; urgency=medium

  * Team upload
  * Drop build dependency to node-tslib (test only)
  * Apply multi-arch hints
  * Drop emscripten tests on s390x

 -- Yadd <yadd@debian.org>  Wed, 29 Nov 2023 11:45:38 +0400

node-proxy-agents (0~2023071921-4) unstable; urgency=medium

  * Team upload
  * Test only during autopkgtest to avoid circular dependencies

 -- Yadd <yadd@debian.org>  Fri, 24 Nov 2023 07:11:13 +0400

node-proxy-agents (0~2023071921-3) unstable; urgency=medium

  * Team upload
  * Add missing Breaks+Replaces node-https-proxy-agent < 7 in
    node-http-proxy-agent (Closes: #1055862)
  * Drop tests that needs Internet (Closes: #1056599)

 -- Yadd <yadd@debian.org>  Fri, 24 Nov 2023 06:22:44 +0400

node-proxy-agents (0~2023071921-2) unstable; urgency=medium

  * Team upload
  * Update tsc patch
  * Update test timeout
  * Fix test for pac-resolver
  * node-proxy: add dependency to nodejs:any
  * Add breaks fields (node-fetch, node-jsdom, node-gyp, node-pre-gyp,
    node-ws)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:47:05 +0400

node-proxy-agents (0~2023071921-1) experimental; urgency=medium

  [ Israel Galadima, Yadd ]
  * Initial release (Closes: #1039524)

 -- Yadd <yadd@debian.org>  Sun, 13 Aug 2023 20:34:12 +0400
