=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	rm -rf packages/*/dist
	ln -s ../packages/tsconfig node_modules/ || true
	set -e; for p in basic-ftp `cat debian/nodejs/build_order`; do \
		echo "# $$p"; \
		(cd $$p && tsc); \
	done

override_dh_auto_test:
	# autopkgtest only due to circular dependencies

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs auto_dispatch

override_dh_gencontrol:
	set -e; for p in `pkgjs-utils components_list|grep -v types-` packages/proxy-agent; do \
		NAME=`pkgjs-pjson $$p name`; \
		VERSION=`pkgjs-pjson $$p version`; \
		PACKAGE=node-`pkgjs-utils normalize_name $$NAME`; \
		dh_gencontrol -p$$PACKAGE -- -v$$VERSION~$(DEB_VERSION); \
	done

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-proxy/usr/share/nodejs/proxy/dist/bin/proxy.js
