## node-proxy-agents 0~2024040606

=== debian/changelog ===
node-proxy-agents (0~2024040606-5) unstable; urgency=medium

  * Team upload
  * node-get-uri Depends on node-basic-ftp. Closes: #1094198. 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Jan 2025 23:57:35 +0100

node-proxy-agents (0~2024040606-4) unstable; urgency=medium

  * Team upload
  * Do not use default import for node-lru-cache
  * Regenerate cert at build time for testing

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Aug 2024 09:32:11 +0000

node-proxy-agents (0~2024040606-3) unstable; urgency=medium

  * Team upload
  * Indicates that node-data-uri-to-buffer 6 breaks
    node-fetch < 3.3.2+~cs11.4.11-2~

 -- Yadd <yadd@debian.org>  Mon, 22 Apr 2024 13:06:44 +0400

node-proxy-agents (0~2024040606-2) unstable; urgency=medium

  * Team upload
  * Update tsc patch (@types/node changes)

 -- Yadd <yadd@debian.org>  Fri, 19 Apr 2024 07:04:17 +0400

node-proxy-agents (0~2024040606-1) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints (node-get-uri, node-http*-proxy-agent => foreign)
  * New upstream version 0~2024040606
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sun, 07 Apr 2024 08:00:34 +0400
