=== debian/control ===
--- 
+++ 
@@ -15,13 +15,14 @@
  , node-esprima
  , node-fs-extra
  , node-ip
- , node-lru-cache
+ , node-lru-cache (>> 10.0.1-2~)
  , node-netmask
  , node-proxy-from-env
  , node-quickjs-emscripten
  , node-socks
  , node-typescript
  , node-types-estree
+ , ssl-cert
 Standards-Version: 4.6.2
 Homepage: https://github.com/TooTallNate/proxy-agents#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-proxy-agents.git
@@ -61,7 +62,7 @@
 Package: node-data-uri-to-buffer
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: node-fetch (<< 3.3.0+~cs11.4.11-3~)
+Breaks: node-fetch (<< 3.3.2+~cs11.4.11-2~)
 Multi-Arch: foreign
 Description: Node.js module that generate a Buffer instance from a Data URI string
  node-data-uri-to-buffer accepts a "data" URI string of data and returns a
@@ -84,6 +85,8 @@
  , node-data-uri-to-buffer (>= 5)
  , node-debug
  , node-fs-extra
+ , node-basic-ftp
+Multi-Arch: foreign
 Description: Node.js module that returns a stream.Readable from a URI string
  node-get-uri is a high-level module. It accepts a URI string and returns a
  Readable stream instance. There is built-in support for a variety of
@@ -95,6 +98,7 @@
  , node-agent-base (>= 7)
 Breaks: node-https-proxy-agent (<< 7)
 Replaces: node-https-proxy-agent (<< 7)
+Multi-Arch: foreign
 Description: HTTP(s) proxy http.Agent implementation for HTTP
  node-http-proxy-agent provides an http.Agent implementation that connects
  to a specified HTTP or HTTPS proxy server, and can be used with the built-in
@@ -108,6 +112,7 @@
  , node-jsdom (<< 20.0.3+~cs124.18.21-2~)
  , node-pre-gyp (<< 1.0.10+~2.0.1-2~)
  , node-ws (<< 8.11.0+~cs13.7.3-2~)
+Multi-Arch: foreign
 Description: HTTP(s) proxy http.Agent implementation for HTTPS
  node-http-proxy-agent provides an http.Agent implementation that connects
  to a specified HTTP or HTTPS proxy server, and can be used with the built-in
@@ -169,7 +174,7 @@
  ${misc:Depends}
  , node-http-proxy-agent (>= 7)
  , node-https-proxy-agent (>= 7)
- , node-lru-cache
+ , node-lru-cache (>> 10.0.1-2~)
  , node-pac-proxy-agent
  , node-proxy-from-env
  , node-socks-proxy-agent (>= 8)
