## node-proxy-agents 0~2025070717

=== debian/changelog ===
node-proxy-agents (0~2025070717-6) unstable; urgency=medium

  * Team upload
  * Drop @types/ip from build links (Closes: #1119751)
  * Add patch to avoid random failures in test

 -- Yadd <yadd@debian.org>  Sat, 01 Nov 2025 11:26:42 +0100

node-proxy-agents (0~2025070717-5) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest: hostname is no more essential

 -- Yadd <yadd@debian.org>  Sun, 26 Oct 2025 11:38:21 +0100

node-proxy-agents (0~2025070717-4) unstable; urgency=medium

  * Team upload
  * Drop node-ip dependency

 -- Yadd <yadd@debian.org>  Sun, 26 Oct 2025 10:43:04 +0100

node-proxy-agents (0~2025070717-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * Drop "Rules-Requires-Root: no"
  * debian/watch version 5
  * Drop node-ip from build dependencies

 -- Yadd <yadd@debian.org>  Sun, 26 Oct 2025 10:31:27 +0100

node-proxy-agents (0~2025070717-2) unstable; urgency=medium

  * Restrict tests to a working subset of archs for now

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Aug 2025 18:19:58 +0200

node-proxy-agents (0~2025070717-1) unstable; urgency=medium

  [ Yadd ]
  * Declare compliance with policy 4.7.0
  * New upstream version 0~2024120804
  * Refresh patches

  [ Jérémy Lal ]
  * Team upload
  * New upstream version 0~2025070717
  * Regenerate cert at build time for get-uri too
  * patch: fix compilation with nodejs 20.19.2
  * patch: fix ts-expect-error with node 20.19.4
  * Tighten dependency on node-types-node 20.19.4~

 -- Jérémy Lal <kapouer@melix.org>  Thu, 21 Aug 2025 15:28:03 +0200
