=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Israel Galadima <izzygaladima@gmail.com>
-Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
  debhelper-compat (= 13)
  , dh-sequence-nodejs
@@ -14,7 +13,6 @@
  , node-escodegen
  , node-esprima
  , node-fs-extra
- , node-ip
  , node-lru-cache (>> 10.0.1-2~)
  , node-netmask
  , node-proxy-from-env
@@ -22,12 +20,12 @@
  , node-socks
  , node-typescript
  , node-types-estree
+ , node-types-node (>= 20.19.4~)
  , ssl-cert
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/TooTallNate/proxy-agents#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-proxy-agents.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-proxy-agents
-Rules-Requires-Root: no
 
 Package: node-agent-base
 Architecture: all
@@ -128,7 +126,6 @@
  , node-get-uri
  , node-http-proxy-agent (>= 7)
  , node-https-proxy-agent (>= 7)
- , node-ip
  , node-netmask
  , node-pac-resolver
  , node-quickjs-emscripten
