=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,10 @@
 
 .PHONY: generate-cert
 generate-cert:
-	HostName="$$(hostname -f)"; SubjectAltName="DNS:$$HostName"; sed -e s#@HostName@#"$$HostName"# -e s#@SubjectAltName@#"$$SubjectAltName"# /usr/share/ssl-cert/ssleay.cnf > debian/cert.cnf
-	set -e; for P in agent-base http-proxy-agent https-proxy-agent pac-proxy-agent proxy-agent socks-proxy-agent; do\
+	HostName="localhost"; SubjectAltName="DNS:$$HostName"; sed -e s#@HostName@#"$$HostName"# -e s#@SubjectAltName@#"$$SubjectAltName"# /usr/share/ssl-cert/ssleay.cnf > debian/cert.cnf
+	set -e; for P in agent-base http-proxy-agent https-proxy-agent pac-proxy-agent proxy-agent socks-proxy-agent get-uri; do\
 		(set -e ; cd packages/$$P/test/ && $(OPENSSLSNAKEOIL)) \
 	done
+	cd packages/get-uri/ \
+	cp ssl-cert-snakeoil.key server.key \
+	cp ssl-cert-snakeoil.pem server.crt
