=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest, 
Restrictions: superficial, skippable, 
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, @builddeps@, pkg-js-autopkgtest, jest, node-retry, node-tslib, node-ws, ts-jest, ssl-cert
Restrictions: allow-stderr, skippable,
Features: test-name=pkg-js-autopkgtest
Architecture: amd64, arm64, armhf
