=== debian/watch ===
Version: 5

Source: https://github.com/TooTallNate/proxy-agents.git
Matching-Pattern: HEAD
Git-Date: %Y%m%d%H
Dversionmangle: auto
Mode: git
Pgpmode: none
Git-Pretty: 0~%cd
Version-Schema: group

Component: basic-ftp
Template: Github
Ctype: nodejs
Owner: patrickjuchli
Project: basic-ftp
Version-Schema: ignore

Component: args
Template: Github
Ctype: nodejs
Owner: leo
Project: args
Version-Schema: ignore

Component: types-args
Template: Npmregistry
Ctype: nodejs
Dist: @types/args
Version-Schema: ignore
