## node-proxy-agents 0~2025070717+~cs15.2.7

=== debian/changelog ===
node-proxy-agents (0~2025070717+~cs15.2.7-1) unstable; urgency=medium

  * Declare compliance with policy 4.7.3
  * debian/watch: checksum
  * New upstream version 0~2025070717+~cs15.2.7
    (Closes: #1129093, CVE-2026-27699)

 -- Yadd <yadd@debian.org>  Fri, 27 Feb 2026 07:34:44 +0100
