=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  , node-types-estree
  , node-types-node (>= 20.19.4~)
  , ssl-cert
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/TooTallNate/proxy-agents#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-proxy-agents.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-proxy-agents
