=== debian/watch ===
Version: 5
Version-Schema: checksum

Source: https://github.com/TooTallNate/proxy-agents.git
Matching-Pattern: HEAD
Git-Date: %Y%m%d%H
Dversionmangle: auto
Mode: git
Pgpmode: none
Git-Pretty: 0~%cd

Component: basic-ftp
Template: Github
Ctype: nodejs
Owner: patrickjuchli
Project: basic-ftp

Component: args
Template: Github
Ctype: nodejs
Owner: leo
Project: args

Component: types-args
Template: Npmregistry
Ctype: nodejs
Dist: @types/args
